% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_weekly_local.R
\name{get_weekly_local}
\alias{get_weekly_local}
\title{Extract information of local and weekly estimates from simulation}
\usage{
get_weekly_local(
  sim,
  market.share = 0.04,
  icu_percent = 0.1,
  start_date = "na",
  time_limit = 90,
  total_population = NULL
)
}
\arguments{
\item{sim}{An \code{icm} object returned by \link{simulate_seiqhrf}.}

\item{market.share}{between 0 and 1, percentage of local hospital beds in 
the simulated unit (e.g. state)}

\item{icu_percent}{between 0 and 1, percentage of patients that should go to 
ICU among the ones that need hospitalization}

\item{start_date}{Epidemic start date. Default is 'na', if not provided will 
plot week numbers, if provided will plot the first day (Sunday) of the
week.}

\item{time_limit}{Number of days to include. Default = 90.}

\item{total_population}{True population size, needed only if simulation size 
is smaller than the true population size due to computational cost 
etc.}
}
\value{
\itemize{
\item \code{plot:} A \code{ggplot} object, bar charts of count of patients 
             requiring hospitalization and ICU respectively
\item \code{result:} A dataframe
   \itemize{\item \code{week:}  week number from input \code{sim},
            \item \code{hosp:} the number of patients that require hospitalization locally,
            \item \code{icu:} the number of patients that require ICU locally. }
}
}
\description{
Extract information of local and weekly estimates from simulation
}
